/*
 * #© Copyright 2019 - Micro Focus or one of its affiliates
 * #
 * # The only warranties for products and services of Micro Focus and its affiliates and licensors (“Micro Focus”)
 * # are as may be set forth in the express warranty statements accompanying such products and services.
 * # Nothing herein should be construed as constituting an additional warranty.
 * # Micro Focus shall not be liable for technical or editorial errors or omissions contained herein.
 * # The information contained herein is subject to change without notice.
 *
 */

'use strict';

var winston = require('winston');

exports = module.exports = winston;

exports.setOptions = function(opts) {
  var logLevel;
 
  opts = opts || {};
  logLevel = opts.logLevel || 'debug';

  winston.cli();
  winston['default'].transports.console.level = logLevel;
  winston['default'].transports.console.timestamp = true;
  winston['default'].transports.console.silent = opts.silent ? true : false;
  winston['default'].transports.console.stderrLevels = { error: true };
  winston['default'].transports.console.colorize = false;
  if (opts.logFile) {
    winston.add(winston.transports.File, {
      filename: opts.logFile,
      timestamp: true,
      level: logLevel,
      json: false,
      /* max log file size = 20M * 3 */
      maxsize: 1024 * 1204 * 20,
      maxFiles: 3
    });
  }
};

