/*
 * #© Copyright 2019 - Micro Focus or one of its affiliates
 * #
 * # The only warranties for products and services of Micro Focus and its affiliates and licensors (“Micro Focus”)
 * # are as may be set forth in the express warranty statements accompanying such products and services.
 * # Nothing herein should be construed as constituting an additional warranty.
 * # Micro Focus shall not be liable for technical or editorial errors or omissions contained herein.
 * # The information contained herein is subject to change without notice.
 *
 */

'use strict';

var misc = require('./misc.js'),
  fieldsName = misc.fieldsName;

exports.create = function (opts) {
  var vuserId, groupId, testId, data;

  opts = opts || {};
  data = {};
  vuserId = opts.vuserId;
  groupId = opts.groupId;
  testId = opts.testId;
 
  function getVUserId() {
    return vuserId;
  }

  function fmtIdentity() {
    var identity;
    identity = {};
    identity[fieldsName.groupId] = '' + groupId;
    identity[fieldsName.testId] = '' + testId;
    identity[fieldsName.vuserId] = '' + vuserId;
    return identity;
  }

  return {
    getVUserId: getVUserId,
    fmtIdentity: fmtIdentity,
    getData: function () { return data; }
  };
};

