/*
 * #© Copyright 2019 - Micro Focus or one of its affiliates
 * #
 * # The only warranties for products and services of Micro Focus and its affiliates and licensors (“Micro Focus”)
 * # are as may be set forth in the express warranty statements accompanying such products and services.
 * # Nothing herein should be construed as constituting an additional warranty.
 * # Micro Focus shall not be liable for technical or editorial errors or omissions contained herein.
 * # The information contained herein is subject to change without notice.
 *
 */

'use strict';

var misc = require('./misc.js'),
  _ = require('underscore'),
  dbgTrace = misc.dbgTrace('svcDP');

exports = module.exports = function (opts) {
  var vuCtx, meter;

  opts = opts || {};
  vuCtx = opts.vuCtx;
  meter = opts.meter;

  function addNewDP(name, value, type, ts) {
    name = name || '';
    type = type || 0;
    
    /* the 'value' is a number */
    value = value || 0;
    if (!_.isNumber(value)) {
      value = parseInt(value, 10);
      value = (_.isNaN(value) || !_.isNumber(value)) ? 0 : value;
    }

    dbgTrace('new dp %s, %d, %d', name, type, value);
    meter.datapoint(vuCtx, {
      name: name,
      value: value,
      type: type,
      ts: ts || Date.now()
    });
  }
  return { add: addNewDP };
};
 
